Bug 1041313 - cartridge-remove throws exception with downloadable cartridge url as cartridge name
Summary: cartridge-remove throws exception with downloadable cartridge url as cartridg...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-12 14:46 UTC by Jordan Liggitt
Modified: 2015-05-15 02:26 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-01-30 00:53:12 UTC


Attachments (Terms of Use)

Description Jordan Liggitt 2013-12-12 14:46:48 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
rhc app create php php-5.3
rhc cartridge add -a php https://raw.github.com/openshift/downloadable-mock-plugin/master/metadata/manifest.yml
rhc cartridge remove -a php https://raw.github.com/openshift/downloadable-mock-plugin/master/metadata/manifest.yml

Actual results:
Exception is thrown

Expected results:
Cartridge is removed, or "cartridge cannot be found" message is shown (ideally, cartridge is removed)

Additional info:

Comment 1 Corey Daley 2013-12-12 18:03:47 UTC
At that point it would have to parse the .yml file for the cartridge name that was installed.  Seems like it would be easier to do an "rhc app show $appname" and then remove the cartridge by name.  I'm not sure I would have considered removing a cartridge with a url, interesting.

Comment 2 Jordan Liggitt 2013-12-12 18:20:02 UTC
We also store the url the cartridge was downloaded from, so we could just search the cartridges in the app which match that URL

Comment 3 openshift-github-bot 2014-01-03 02:47:16 UTC
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/0c7cdacfd92ccaa671f91ead2661984f3181e13e
Bug 1041313 - allow all rhc catridge commands to accept a url

Comment 4 XiuJuan Wang 2014-01-06 06:20:01 UTC
Verified this issue on rhc-1.19.3 which build from devenv_4187.

# rhc cartridge remove -a php -c https://raw.github.com/xiuwang/mongov2cart/master/metadata/manifest.yml
Removing a cartridge is a destructive operation that may result in loss of data associated with the
cartridge.

Are you sure you wish to remove xiutest-mongodb-2.2 from 'php'? (yes|no): yes

Removing xiutest-mongodb-2.2 from 'php' ... removed.



So moved this bug to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.